Bug 90316 - FILEOPEN: Add support to support word wrap on DOCX SmartArt
Summary: FILEOPEN: Add support to support word wrap on DOCX SmartArt
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:docx
Depends on:
Blocks: OOXML-SmartArt DOCX-Anchor-and-Text-Wrap
  Show dependency treegraph
 
Reported: 2015-03-29 04:16 UTC by Luke
Modified: 2018-10-10 12:01 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample DOCX as described in instructions (22.59 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2015-03-29 04:16 UTC, Luke
Details
Same file saved as DOC (51.50 KB, application/msword)
2015-03-29 04:16 UTC, Luke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2015-03-29 04:16:18 UTC
Created attachment 114437 [details]
Sample DOCX as described in instructions

Steps to reproduce:
1. In MS Word write some text
2. Insert SmartArt
3. Right click -> wrap text -> tight
4. Save as DOCX 
5. Save as DOC
6. Open in LibreOffice
7. Compare

In Writer, the DOC file will correctly wrap the text. The DOCX file is missing the option to "edit contour" and therefore cannot be configured to display the document correctly.
Comment 1 Luke 2015-03-29 04:16:44 UTC
Created attachment 114438 [details]
Same file saved as DOC
Comment 2 A (Andy) 2015-03-29 07:37:42 UTC
Reproducible with LO 4.4.1.2, Win 8.1
Comment 3 Luke 2015-12-10 21:27:03 UTC
Mike Kaganski,
I noticed you're working on DOCX picture wrapping. Could you please take a look at this? Thanks!
Comment 4 QA Administrators 2018-03-16 03:36:17 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug